#!/bin/bash
echo "[+] Cleaning..."
make clean;
echo "[+] Building..."
make -j$(nproc --all) all5;
if [ $? -eq 0 ]; then
  echo "[+] Install Started!"
  sudo cp bin/7z.so /usr/local/bin/ -f;
  sudo cp bin/7zCon.sfx /usr/local/bin/ -f;
  sudo cp bin/7zG /usr/local/bin/ -f;
  sudo cp bin/Client7z /usr/local/bin/ -f;
  sudo cp bin/LzmaCon /usr/local/bin/ -f;
  sudo cp bin/7zFM_do_not_use /usr/local/bin/7zFM -f;
  sudo mkdir -p /usr/local/bin/Codecs;
  sudo cp bin/Codecs/* /usr/local/bin/Codecs -f;
  sudo xdg-desktop-menu install --novendor --mode system p7zfm.desktop;
  echo "[+] Install Completed!"
else
  echo "[-] Build Failed!"
fi;
