#!/bin/sh
REREQ=""

prereqs()
{
    echo "$PREREQ"
}

error_exit()
{
    echo "[ERROR] $1"
    exit 1
}

case $1 in
    prereqs)
        prereqs
        exit 0
    ;;
esac

. /usr/share/initramfs-tools/hook-functions

echo "> Grub File Signing...";
/usr/share/ubuntu-system-adjustments/systemd/start;
/usr/local/sbin/sign-boot;
echo "> Completed Signing.";
exit 0;
